:root {
	--article-bg-color: black/*#b5ddff*//*#7dc3fe*/;
	--article-text-color: white;
	--article-link-color: rgb(0,192,64);
	--article-highlight-color: green;
	--page-bg-color: rgb(64,64,64);
}


body {
	background: var(--page-bg-color);
	color: white;
	overflow: scroll;
}
header {
	font-size: 200%;
	font-family: Sarif, sarif;
}
/*header > a {
	float: left;
	display: inline-block;
	border-top: 0.025em solid transparent;
}*/
header img {
	width: 7.5em;
	vertical-align: bottom;
	margin: 0.15em 0 0.05em 0;
}
header a {
	display: inline-block;
	position: relative;
	box-shadow: inset 0 -0.35em 0.25em -0.25em green;
	text-shadow: none;
	margin: 0 1em;
	color: white;
	transition: color 0.5s ease-out;
}
/*header a:hover,
header a:focus {
	color: green;
}*/
header a::before {
	z-index: -1;
}
.bounce {
	position: relative;
	z-index: 20;
}
.bounce::before {
	z-index: 10;
}
header a::before,
.bounce::before {
	content: "";
	background: transparent;
	position: absolute;
	bottom: 1em;
	left: -1em;
	width: 0.25em;
	height: 0.25em;
	border-radius: 0.125em;
}
.bounce-right,
.bounce-center {
	width: 10em;
	width: calc(min(10em,100%));
}
.bounce-center {
	margin-left: auto;
	margin-right: auto;
}
.bounce-right {
	float: right;
}
header a:hover::before {
	left: 2em;
}
header #logo a:hover::before {
	left: 3em;
}
.bounce:hover::before,
.bounce-trigger:hover .bounce::before,
.bounce-trigger:hover + .bounce-trigger .bounce::before {
	left: 95%;
}
header a:hover::before,
.bounce:hover::before,
.bounce-trigger:hover .bounce::before,
.bounce-trigger:hover + .bounce-trigger .bounce::before {
	bottom: 0;
	background: white;
	transition: left 1s ease-out, background-color 1s ease-out;
	transition: left 1.25s ease-out, background-color 1s ease-out, bottom 0.75s linear(
		0, 0.004, 0.016, 0.035, 0.063, 0.098, 0.141 13.6%, 0.25, 0.391, 0.563, 0.765,
		1, 0.891 40.9%, 0.848, 0.813, 0.785, 0.766, 0.754, 0.75, 0.754, 0.766, 0.785,
		0.813, 0.848, 0.891 68.2%, 1 72.7%, 0.973, 0.953, 0.941, 0.938, 0.941, 0.953,
		0.973, 1, 0.988, 0.984, 0.988, 1 /* https://stackoverflow.com/a/78304646 */
	);
}
header a:focus::before {
	bottom: -0.25em;
}
header a:focus:not(:hover)::before {
	left: 0;
}
header a::after {
	content: "";
	position: absolute;
	left: 0;
	right: 0;
	bottom: 0;
	height: 0;
	background: green;
	transition: height 1s ease-out, margin 1s ease-out;
}
header a:hover::after,
header a:focus::after {
	height: 0.25em;
	margin-bottom: -0.25em;
}

@media (min-width: 650px) {
	.small {
		font-size: 75%;
	}
	article {
		font-size: 200%;
	}
}

.verySmall {
	font-size: 50%;
}
article {
	clear: both;
	margin: 1em 0;
	padding: 0 0.5em;
	overflow: hidden;
	font-size: 150%;
	font-family: serif;
	background: /*rgb(231, 249, 224)rgb(96,64,32)*/ var(--article-bg-color);
	color: var(--article-text-color);
	border: 0.25em solid var(--article-highlight-color)/*rgb(160,128,0)*/;
	/*border-image: url("golf/wood.png") 5;*/
	border-radius: 1em;
	box-shadow: inset 0 0.125em 0.25em 0.0125em black, 0 0.125em 0.25em 0.0125em black/*rgb(145, 184, 127)*/;
}
.set-very-wide-width {
	max-width: 1200px;
	margin-left: auto;
	margin-right: auto;
}
article p,
article .p,
article blockquote {
	/*background: rgba(64, 32, 0, 0.5);*/
	border-radius: 1em;
	padding: 0.5em;
	margin: 0.5em 0 0 -0/*.5em*/;
}
article p,
article .p {
	/*text-shadow: 0.025em 0.025em 0.125em rgb(64,32,0), 0.025em 0.025em 0.25em rgb(256,192,128)/*rgb(231, 249, 224) rgb(145, 184, 127)*/;
}
article blockquote {
	/*text-shadow: 0.025em 0.025em 0.125em rgb(0,64,0), 0.025em 0.025em 0.25em rgb(192,256,128);*/
}
article blockquote {
	/*background: rgba(0, 192, 64, 0.5)/*rgba(0, 64, 32, 0.5)*/;
	position: relative;
	padding-left: 1.5em;
	text-indent: 0;
}
article .attribution {
	display: inline-block;
	background: linear-gradient(to top, rgba(0, 64, 32, 0.5), rgba(0, 64, 32, 0));
	border-radius: 0.5em;
	margin: -0.25em auto 0 auto;
	padding: 0.25em 0.5em 0.25em 0.5em;
}
article blockquote::before {
	content: "“";
	font-family: monospace;
	font-size: 200%;
	display: inline-block;
	vertical-align: text-top;
	height: 0.5em;
	overflow: visible;
	text-align: left;
	text-indent: -0.75em;
}
article blockquote:not(.no-close)::after,
article blockquote.no-close .close::before {
	content: "”";
	font-family: monospace;
	display: inline-block;
	font-size: 200%;
	height: 0.5em;
	overflow: visible;
	text-align: right;
	vertical-align: text-top;
	text-indent: 0;
}
article::before {
	content: "";
	display: block;
	height: 1px;
	margin-bottom: -1px;
}
article > h1,
article > h2,
article > h3,
article > h4 {
	padding-left: 0.5em;
	padding-right: 0.5em;
	/*text-shadow: 0 0 0.125em black;*/
}
.narrow {
	margin: 0.25em 0;
}
.narrow + p {
	margin-top: 0;
}
a.hover-underline {
	transition: text-decoration 0.25s ease-out, color 0.25s ease-out, text-shadow 0.25s ease-out;
	text-decoration: underline;
	text-decoration-color: inherit;
	text-shadow: 0 0 0.125em rgba(0,0,0,0.5);
}
a.hover-underline:hover,
a.hover-underline:focus {
	text-decoration-color: inherit;
	text-shadow: 0 0 0.25em var(--article-bg-color), 0 0 0.125em var(--article-bg-color);
}
a svg {
	display:inline-block;
	height: 0.75em;
	margin-left: 0.25em;
}
.radius {
	border-radius: 1em;
}
.wrap {
	margin: 0.5em 0 0 0;
	position: relative;
	z-index: 2;
}
.wrap > * {
	width: 100%;
}
.wrap.radius > * {
	border-radius: 1em;
}
.wrap.top-glow::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	display: block;
	z-index: 1;
	border-radius: 1em;
	box-shadow: inset 0 0.35em 0.25em -0.25em rgb(231, 249, 224);
	pointer-events: none;
}
.right {
	float: right;
	max-width: 50%;
	max-width: calc(50% - 1em);
}
.right > img {
	max-height: 80vmin;
}
.leftStack {
	float: left;
	max-width: 350px;
	margin: 0 1em 0 0;
}
.leftStack > img {
	width: 100%;
}
@media (max-width: 750px) {
	.leftStack {
		float: none;
		max-width: none;
		margin: 0 auto;
	}
}

#donate {
	text-align: center;
	display: inline-block;
	float: right;
}
#logo {
	float: left;
}
@media (max-width: 850px) {
	#donate {
		display: block;
		float: none;
		clear: none;
	}
}
@media (max-width: 550px) {
	#donate {
		clear: both;
		display: block;
		max-width: none;
	}
	#logo {
		margin: 0 auto 0.25em auto;
		display: block;
		text-align: center;
		float: none;
	}
	nav, #donate {
		font-size: 75%;
	}
}
@media (max-width: 650px) {
	.leftUnlessSmall {
		max-height: 80vh;
		max-width: 100%;
		max-width: calc(100% + 1em);
		margin: 0 -0.5em -1em -0.5em;
	}
}
@media (min-width: 651px) {
	.leftUnlessSmall {
		float: left;
		max-height: 80vh;
		max-width: 50%;
		margin-right: 1em;
	}
	.rightUnlessSmall {
		max-width: 50%;
		float: right;
	}
}
article > .leftUnlessSmall:first-child {
	border-radius: 0.5em;
}
.leftUnlessSmall > img {
	max-width: 100%;
	max-height: 50vh;
}
.set-width,
.set-width-children > * {
	max-width: 350px;
	max-width: calc(min(450px, 80vw));
}
.set-wide-width,
.set-wide-width-children > * {
	max-width: 550px;
	max-width: calc(min(650px, 80vw));
}
.pre {
	white-space: pre;
}
.p ul {
	margin: 0.5em 0.25em;
}
a {
	color: var(--article-link-color);
	text-decoration: none;
	/*text-shadow: 0 0 0.125em currentcolor;*/
}
.highlight {
	color: var(--article-link-color);
}
/*blockquote a,
.quote a,
.button a,
a.button,
a .button,
.simple-button a,
a.simple-button,
a .simple-button,
.static-button a,
a.static-button,
a .static-button {
	color: lightgreen;
}*/
a:hover, a:focus, .here {
	color: #6574fa;
}
.button,
.simple-button,
.static-button {
	display: flex;
	justify-content: center;
	font-family: Sans, sans, sans-serif;
	font-weight: bold;
	padding: 0.5em 0.75em;
	margin: 0 0 0.25em 0;
	position: relative;
	overflow: hidden;
	color: white;
	background: /*rgb(145, 184, 127)*/ rgb(32,64,0);
	box-shadow: rgba(0, 0, 0, 1) 0px 0.25em 0.25em -0.25em;
	/*text-shadow: 0 0 0.25em black;*/
	border: 0.125em solid black;
	border-radius: 0.5em;
}
.button,
.simple-button,
.static-button,
.button-border-effect {
	transition: color 0.5s ease-out, background-color 0.5s ease-out, box-shadow 0.5s ease-out, text-shadow 0.5s ease-out, border-color 0.5s ease-out;
}
.button > canvas,
.simple-button > canvas,
.static-button > canvas {
	display: inline-block;
	position: absolute;
	left: 0;
	top: 0;
}
.button > span,
.simple-button > span,
.static-button > span {
	position: relative;
	z-index: 1;
}
.button > img,
.simple-button > img,
.static-button > img {
	border-radius: 0.5em;
	box-shadow: rgba(231, 249, 224, 0.5) 0px 0px 1em 0;
	transition: box-shadow 0.5s ease-out;
}
.button:hover,
.button:focus,
a:hover .button,
a:focus .button,
#donate.here {
	background: /*rgb(168, 213, 148)*/ lightgreen;
}
.button:hover,
.button:focus,
a:hover .button,
a:focus .button,
.simple-button:hover,
.simple-button:focus,
a:hover .simple-button,
a:focus .simple-button,
.button-border-effect:hover,
.button-border-effect:focus,
a:hover .button-border-effect,
a:focus .button-border-effect,
#donate.here {
	border-color: white;
	box-shadow: rgba(0, 0, 0, 1) 0px 0.25em 0.5em 0;
}
.button:hover,
.button:focus,
a:hover .button,
a:focus .button,
.simple-button:hover,
.simple-button:focus,
a:hover .simple-button,
a:focus .simple-button,
#donate.here {
	/*text-shadow: 0 0 0.25em white;*/
	color: rgb(64,32,0);
}
.button:hover > img,
.button:focus > img,
a:hover .button > img,
a:focus .button > img {
	box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 1em 0;
}
.center,
.center-children > * {
	display: flex;
	justify-content: center;
	text-align: center;
	margin-left: auto;
	margin-right: auto;
}
.center-text {
	text-align: center;
}
.horizontal {
	display: flex;
	flex-direction: horizontal;
	flex-wrap: wrap;
	justify-content: center;
}
/*.horizontal > * {
	margin-top: 1em;
}*/
.vertical {
	display: flex;
	flex-direction: vertical;
	flex-wrap: wrap;
	justify-content: center;
}
.vertical > * {
	width: 100%;
}
/*.horizontal.gap {
	gap: 0 0.5em;
}
.vertical.gap {
	gap: 0.5em 0;
}*/
.gap {
	gap: 0.5em;
}
.comparison {
	background: var(--article-bg-color)/*rgba(64, 32, 0, 0.5)*/;
	color: var(--article-text-color);
	border: 0.125em solid var(--article-highlight-color);
	border-radius: 0.5em;
	padding: 0 0.5em;
	font-size: 65%;
}
.comparison ul {
	margin-top: 0;
}
/*.overflow-x {
	overflow-x: scroll;
	overflow-y: visible;
	margin-top: -0.5em;
	padding-top: 0.5em;
	margin-left: auto;
	margin-right: auto;
}*/
/*article .center > * {
	margin-left: auto;
	margin-right: auto;
}*/
article > .center {
	flex-direction: column;
}
.clear {
	clear: both;
}

.grassy::after {
	content: "";
	display: block;
	height: 0.15em;
	background: green;
	border-top: dashed green 0.1em;
	background-clip: padding-box;
}

.video-list {
	display: block;
	flex-wrap: wrap;
	padding: 0.625em 0.5em 0.5em 0.625em;
}
.video {
	position: relative;
	z-index: 1;
	display: block;
	color: white;
	background: darkgreen linear-gradient(to bottom, darkgreen, green);
	border: black 0.125em solid;
	padding: 0.25em;
	margin: -0.125em 0 0 -0.125em;
	border-radius: 0.375em;
	box-shadow: inset 0 0 0.5em darkgreen, 0 0 0 black/*, inset 0 -0.25em 0.25em -0.25em darkgreen*/;
	/*text-shadow: 0.0125em 0.0125em 0.125em black;*/
	transition: 0.25s color ease-out, 0.25s border ease-out, 0.25s z-index ease-out, 0.25s box-shadow ease-out;
}
.video:hover {
	color: white;
	border: white 0.125em solid;
	z-index: 100;
	box-shadow: inset 0 0 0.5em darkgreen, 0 0 0.5em black;
}
/*.video::after {
	content: "";
	display: block;
	clear: both;
}*/
.video > img {
	float: left;
	height: 200px;
	margin: 0 0.5em 0 0;
	transition: 0.25s box-shadow ease-out;
	box-shadow: 0 0 0.125em black;
}
.video:hover > img {
	box-shadow: 0.125em 0.125em 0.25em black, 0 0 0.125em black;
}
.video > div {
	display: block;
	padding-top: 0.25em;
	transition: 0.25s text-shadow ease-out;
}
.video:hover > div {
	text-shadow: 0.125em 0.125em 0.25em black, 0 0 0.125em black;
}
/*.video > span + span::before {
	content: "\A";
	white-space: pre;
	font-size: 50%;
}*/
.video > span {
	display: block;
	font-size: 50%;
	color: lightgreen;
}

@media (max-width: 650px) {
	/*.video-list {
		display: flex;
	}*/
	.video {
		display: block;
		text-align: center;
	}
	.video > img {
		float: none;
	}
	.video > span {
		display: block;
		padding: 0;
	}
}
@media (min-width: 1350px) {
	.video-list {
		display: flex;
	}
	.video {
		/*min-*/width: 600px;
		/*width: calc(50vw - 2em);*/
	}
}

footer .center img {
	height: 5em;
	filter: grayscale(1);
	transition: filter 1s ease-out;
}
footer .center img:hover,
footer .center a:hover img {
	filter: grayscale(0);
}
.credits {
	/*opacity: 0.25;*/
	color: rgba(255,255,255,0.25);
	text-align: center;
}
.credits a,
.credits a ~ span {
	color: inherit;
	text-shadow: none;
	transition: 0.5s ease-out color;
}
.credits a span {
	text-decoration: underline;
	text-decoration-color: transparent;
	transition: 0.5s ease-out text-decoration-color, 0.5s ease-out color;
}
.credits a:hover,
.credits a:focus,
.credits a:hover ~ span,
.credits a:focus ~ span {
	color: white;
}
.credits a:hover span,
.credits a:focus span {
	text-decoration-color: inherit;
}

video {
	max-width: 100%;
}
.hide {
	display: none;
}
.fullscreen,
.fullscreen iframe {
	position: absolute;
	left: 0;
	top: 0;
	height: 100vh;
	width: 100vw;
	z-index: 10;
	background: rgb(32,32,32);
	transition: opacity 1s ease-out;
}
#intro {
	display: flex;
	flex-direction: vertical;
	justify-content: center;
	align-items: center;
}
#intro img {
	display: inline-block;
	width: 100vw;
}
/*#intro-wrap {
	display: block;
	float: right;
	width: 640px;
	width: min(100%, 40vw);
	aspect-ratio: 16 / 9;
}*/
#intro-iframe {
	float: right;
	display: block;
	position: relative;
	z-index: 50;
	width: 720px;
	width: min(100%, 60vw);
	height: auto;
	aspect-ratio: 16/9;
}
@media (max-width: 800px) {
	#intro-iframe {
		width: 100%;
		width: calc(100% + 1em);
		margin: 0 -0.5em;
		border-radius: 0.5em;
	}
	li {
		margin-left: -1em
	}
}
.fullscreen:not(.finished) > img,
.fullscreen.finished > iframe {
	display: none;
}
.finished {
	opacity: 0;
}
.fullscreen:not(.finished) ~ * {
	display: none;
}
#banner {
	/*font-size: 300%;
	text-align: center;*/
}
#intro,
#intro * {
	pointer-events: none;
}

.event {
	padding-top: 0.25em;
}
.eventTitle {
	font-size: 150%;
	padding-left: 0.25em;
	/*text-shadow: 0 0 0.125em black;*/
}
.eventBody {
	padding: 0.25em 0.5em;
	border-radius: 0.5em;
	background: rgba(64, 32, 0, 0.5);
	color: white;
	/*text-shadow: 0.025em 0.025em 0.125em rgb(64,32,0), 0.025em 0.025em 0.25em rgb(256,192,128)/*rgb(231, 249, 224) rgb(145, 184, 127)*/;
}
.eventDesc {
	padding: 0.25em 0.5em;
	border-radius: 0.5em;
	background: rgba(0, 64, 0, 0.5);
	/*text-shadow: 0.025em 0.025em 0.125em rgb(0,64,0), 0.025em 0.025em 0.25em rgb(192,256,128);*/
}
.eventDate {
	font-size: 75%;
	padding-left: 0.5em;
}

.subtitle {
	font-size: 150%;
	text-align: center;
	color: white;
	text-shadow: 0 0 0.25em var(--article-bg-color), 0 0 0.125em var(--article-bg-color);
}

label {
	display: block;
	text-indent: 0.5em;
}
label > * {
	display: block;
	width: 45%;
	width: calc(50% - 1em);
	font-size: 1.25em;
	border-radius: 0.25em;
	border: 0.1em solid var(--article-highlight-color);
	outline: none;
	padding: 0.25em;
	background: var(--page-bg-color);
	color: var(--article-text-color);
}
label > *:focus {
	border-color: var(--article-link-color);
	background-color: var(--article-bg-color);
	position: relative;
	z-index: 10;
}
